Bug 740603 - It is unduly difficult to setup OpenVPN connections on Fedora
Summary: It is unduly difficult to setup OpenVPN connections on Fedora
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-22 16:10 UTC by Oded Arbel
Modified: 2013-02-13 13:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 13:46:17 UTC


Attachments (Terms of Use)

Description Oded Arbel 2011-09-22 16:10:11 UTC
Description of problem:
When setting up a new OpenVPN client connection from a Fedora desktop using NetworkManager, the user is required to invoke some non-obvious manual steps that would probably be considered hard to do by untrained users, which are also not documented anywhere.

Version-Release number of selected component (if applicable):
0.9.0-1.fc16

How reproducible:
Always

Steps to Reproduce:
1. Use NetworkManager to setup a new OpenVPN connection - using either GNOME or KDE - by naively loading certificate files from just anywhere in the user's home directory.
2. Find out that its not working and there is no indication of why in the UI
3. Search in /var/log/messages and find its a SELinux permissions issue
4. Search all over the web on how to work around the problem. Find little help and either turn off SELinux in frustration, or:
5. Manually create a directory ~/.pki and move the certificates to that.
6. Run restorecon on the new directory
7. Setup your VPN again
  
Actual results:
VPN is working either by disabling SELinux (bad) or after a lot of frustration, searching a non-obvious places (i.e. not Fedora or NetworkManager official documentation) and manual commands being invoked from the console.

Expected results:
The NetworkManager should allow the user to set up a working OpenVPN connection just from the UI (as it purports to) even with SELinux enabled (which it is by default in Fedora).

Additional info:
See also bugs #639473 and #708628 for the current process a user goes through when setting up OpenVPN on Fedora. It seems to be a recurring theme.

Comment 1 Fedora End Of Life 2013-01-16 13:06:54 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora End Of Life 2013-02-13 13:46:20 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.